View Issue Details

Category
SSPBT:本体(SSP)
SeverityfeatureReproducibilityN/A 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000137: Expand SSTP support
Description

I try to use this project to communicate with Shiori: https://github.com/Taromati2/SSTP_linker
Then I make Shiori return the additional key&value in this way: https://github.com/Taromati2/ghost/commit/78f748a6a5f25b750cb44ee9084c1e10d65fe365
The communication between SSP and Shiori is like this:

// request
GET SHIORI/3.0
Charset: UTF-8
Sender: OICQ-shiori
SecurityLevel: local
Status: balloon(0=0)
ID: OnOICQlogin

// response (Execution time : 0[ms])
SHIORI/3.0 200 OK
Sender: AYA
Charset: UTF-8
Value: 登录QQ成功
ScriptForShell: 登录QQ成功

But I can't get the extra information through SSTP.
the wcout << linker.NOTYFY(L"Event: OnOICQlogin")[L"ScriptForShell"] just out put nothing.

try{
auto login_info=linker.NOTYFY(L"Event: OnGetOICQkey");
bot.Auth(to_string(login_info[L"Key"]),to_qid(login_info[L"OICQid"]));
wcout << linker.NOTYFY(L"Event: OnOICQlogin")[L"ScriptForShell"] << endl;
}catch(...){
linker.NOTYFY(L"Event: OnOICQloginFailed");
throw;
}

We can transfer this information by putting it into the Sakura script, but it's too ugly
Can we expand support in this area?

TagsNo tags attached.
Attach Tags

Relationships

has duplicate 0000096 closedponapalt new type sstp 

Activities

ponapalt

2021-06-06 14:08

administrator   ~0000374

On SSP 2.5.03, you can add custom SSTP response headers using prefix : X-SSTP-Return-

For example, if you add
X-SSTP-Return-Test1 : TestValue1
X-SSTP-Return-Test 2: TestValue2
headers after normal SHIORI response headers, you can receive same additional headers after normal SSTP response headers.

ponapalt

2021-06-08 09:49

administrator   ~0000386

(Status Change)

Issue History

Date Modified Username Field Change
2021-04-03 12:04 guest New Issue
2021-05-17 09:24 ponapalt Relationship added has duplicate 0000096
2021-05-17 09:29 ponapalt Assigned To => ponapalt
2021-05-17 09:29 ponapalt Status new => assigned
2021-06-06 14:08 ponapalt Status assigned => resolved
2021-06-06 14:08 ponapalt Resolution open => fixed
2021-06-06 14:08 ponapalt Fixed in Version => 2.5 (リリース)
2021-06-06 14:08 ponapalt Note Added: 0000374
2021-06-08 09:49 ponapalt Status resolved => closed
2021-06-08 09:49 ponapalt Note Added: 0000386